/**
 * LOGICAL-PARADOX.ORG b-tree library
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 * Release 1.0
 * ・初期パージョン
 */
package org.logical_paradox.common.btree.simulation.bts;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * B-treeに対する挿入・更新・削除を仮想的に実行するシミュレータ
 * @author satoshi akabane@logical-paradox.org
 * @version 1.0
 */
public class BtreeSimulator {
	/**
	 * メインメソッド
	 * @param args コマンドラインからの引数列
	 * @throws Exception 処理中に発生した，キャッチされなかった例外
	 */
	public static void main(String[] args) throws Exception {
		BtreeSimulatorMainFrame mainFrm = new BtreeSimulatorMainFrame("B-tree simulator");
		mainFrm.addWindowListener( new WindowAdapter() {
				public void windowClosing( WindowEvent we) {
					System.exit(0);
				}
			}
		);
		
		// フレームを表示
		mainFrm.setVisible(true);
		mainFrm.repaint();
	}
}
